Alembic: Alembic::AbcGeom::ALEMBIC_VERSION_NS::ITypedGeomParam< TRAITS > Class Template Reference

Alembic 1.8.11

Loading...
Searching...
No Matches
Alembic::AbcGeom::ALEMBIC_VERSION_NS::ITypedGeomParam< TRAITS > Class Template Reference
Collaboration diagram for Alembic::AbcGeom::ALEMBIC_VERSION_NS::ITypedGeomParam< TRAITS >:
[legend]

## Classes
class | Sample

## Public Types
typedef TRAITS::value_type | value_type
typedef Abc::ITypedArrayProperty< TRAITS > | prop_type
typedef ITypedGeomParam< TRAITS > | this_type
typedef this_type::Sample | sample_type

## Public Member Functions
template<class CPROP>
| ITypedGeomParam (CPROP iParent, const std::string &iName, const Abc::Argument &iArg0=Abc::Argument(), const Abc::Argument &iArg1=Abc::Argument())
template<class PROP>
| ITypedGeomParam (PROP iThis, WrapExistingFlag iWrapFlag, const Abc::Argument &iArg0=Abc::Argument(), const Abc::Argument &iArg1=Abc::Argument())
void | getIndexed (sample_type &oSamp, const Abc::ISampleSelector &iSS=Abc::ISampleSelector()) const
void | getExpanded (sample_type &oSamp, const Abc::ISampleSelector &iSS=Abc::ISampleSelector()) const
sample_type | getIndexedValue (const Abc::ISampleSelector &iSS=Abc::ISampleSelector()) const
sample_type | getExpandedValue (const Abc::ISampleSelector &iSS=Abc::ISampleSelector()) const
size_t | getNumSamples () const
AbcA::DataType | getDataType () const
size_t | getArrayExtent () const
bool | isIndexed () const
GeometryScope | getScope () const
AbcA::TimeSamplingPtr | getTimeSampling () const
const std::string & | getName () const
Abc::ICompoundProperty | getParent () const
const AbcA::PropertyHeader & | getHeader () const
const AbcA::MetaData & | getMetaData () const
bool | isConstant () const
void | reset ()
bool | valid () const
| ALEMBIC_OPERATOR_BOOL (this_type::valid())
prop_type | getValueProperty ()
Abc::IUInt32ArrayProperty | getIndexProperty ()

## Static Public Member Functions
static const char * | getInterpretation ()
static bool | matches (const AbcA::PropertyHeader &iHeader, SchemaInterpMatching iMatching=kStrictMatching)

## Protected Attributes
prop_type | m_valProp
Abc::IUInt32ArrayProperty | m_indicesProperty
Abc::ICompoundProperty | m_cprop
bool | m_isIndexed

The documentation for this class was generated from the following file:

- AbcGeom/IGeomParam.h